<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAlbumAgent extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('album_agent', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('store_id');
            $table->string('user_id',20)->comment('用户ID');
            $table->string('address',150)->comment('地址');
            $table->string('lng',20)->comment('经度');
            $table->string('lat',20)->comment('纬度');
            $table->unsignedInteger('addtime')->comment('添加时间');
            $table->unsignedInteger('is_delete')->default(0)->comment('Is_delete');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('album_agent');
    }
}
